File: no-new-require.js

package info (click to toggle)
node-eslint-plugin-node 11.1.0~ds-4
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 2,084 kB
  • sloc: javascript: 23,756; perl: 48; makefile: 38; sh: 32
file content (39 lines) | stat: -rw-r--r-- 1,028 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
/**
 * @author Wil Moore III
 * See LICENSE file in root directory for full license.
 */
"use strict"

module.exports = {
    meta: {
        docs: {
            description: "disallow `new` operators with calls to `require`",
            category: "Possible Errors",
            recommended: false,
            url:
                "https://github.com/mysticatea/eslint-plugin-node/blob/v11.1.0/docs/rules/no-new-require.md",
        },
        fixable: null,
        messages: {
            noNewRequire: "Unexpected use of new with require.",
        },
        schema: [],
        type: "suggestion",
    },

    create(context) {
        return {
            NewExpression(node) {
                if (
                    node.callee.type === "Identifier" &&
                    node.callee.name === "require"
                ) {
                    context.report({
                        node,
                        messageId: "noNewRequire",
                    })
                }
            },
        }
    },
}